## kmediaplayer 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KMediaPlayer)


#
# CMake stuff from ECM
#
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

#
# Version info
#
ecm_setup_version(${KF5_VERSION}
   VARIABLE_PREFIX KMEDIAPLAYER
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmediaplayer_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfigVersion.cmake"
   SOVERSION 5)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kmediaplayer_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
        COMPONENT Devel)


#
# Dependencies
#
set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)


#
# Subdirectories
#
include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}/src
   ${CMAKE_CURRENT_BINARY_DIR}/src)

add_subdirectory(src)
add_subdirectory(autotests)


#
# Config.cmake stuff
#
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MediaPlayer")
ecm_configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5MediaPlayerConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfig.cmake"
   INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfig.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5MediaPlayerTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5MediaPlayerTargets.cmake
        NAMESPACE KF5::)


#
# Feature summary
#
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kmediaplayer 5.3.0

=== debian/changelog ===
kmediaplayer (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:34:38 +0100

kmediaplayer (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 20:05:26 +0200

kmediaplayer (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 10:53:36 +0200

kmediaplayer (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 23 Jul 2014 16:50:16 +0200

=== debian/control ===
Source: kmediaplayer
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kio-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5parts-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kmediaplayer.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kmediaplayer.git

Package: libkf5mediaplayer-dev
Section: libdevel
Architecture: any
Depends: libkf5mediaplayer5 (= ${binary:Version}),
         libkf5parts-dev,
         ${misc:Depends}
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 Contains development files for kmediaplayer.

Package: libkf5mediaplayer5
Architecture: any
Multi-Arch: same
Depends: libkf5mediaplayer-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.

Package: libkf5mediaplayer-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 This package contains the data files.

Package: libkf5mediaplayer5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5mediaplayer5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kmediaplayer
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 Contains debug symbols for kmediaplayer.

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/portingAids/kmediaplayer-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/portingAids/kmediaplayer-(.*)\.tar\.xz

## kmediaplayer 5.9.0

=== debian/changelog ===
kmediaplayer (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:22:39 +0200

kmediaplayer (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:48:57 +0100

kmediaplayer (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 17:02:55 +0100

kmediaplayer (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:20:33 +0100

kmediaplayer (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:50:53 +0100

kmediaplayer (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:38:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,40 +5,40 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kio-dev (>= 5.3.0),
-               libkf5attica-dev (>= 5.3.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5bookmarks-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5completion-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5globalaccel-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5jobwidgets-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5notifications-dev (>= 5.3.0),
-               libkf5parts-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5solid-dev (>= 5.3.0),
-               libkf5sonnet-dev (>= 5.3.0),
-               libkf5textwidgets-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
-               libkf5xmlgui-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kio-dev (>= 5.9.0),
+               libkf5attica-dev (>= 5.9.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5bookmarks-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5completion-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5globalaccel-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5jobwidgets-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5notifications-dev (>= 5.9.0),
+               libkf5parts-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5solid-dev (>= 5.9.0),
+               libkf5sonnet-dev (>= 5.9.0),
+               libkf5textwidgets-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
+               libkf5xmlgui-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kmediaplayer.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kmediaplayer.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kmediaplayer.git
 
 Package: libkf5mediaplayer-dev

## kmediaplayer 5.15.0

=== debian/changelog ===
kmediaplayer (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:52:46 +0100

kmediaplayer (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:22:44 +0100

kmediaplayer (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:24:31 +0200

kmediaplayer (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge.
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:34:10 +0200

kmediaplayer (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 14:21:56 +0200

kmediaplayer (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:10:12 +0200

kmediaplayer (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:57 +0200

kmediaplayer (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Mar 2015 17:45:48 +0100

kmediaplayer (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Feb 2015 17:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,40 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               kio-dev (>= 5.9.0),
-               libkf5attica-dev (>= 5.9.0),
-               libkf5auth-dev (>= 5.9.0),
-               libkf5bookmarks-dev (>= 5.9.0),
-               libkf5codecs-dev (>= 5.9.0),
-               libkf5completion-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5globalaccel-dev (>= 5.9.0),
-               libkf5guiaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5iconthemes-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5jobwidgets-dev (>= 5.9.0),
-               libkf5kjs-dev (>= 5.9.0),
-               libkf5notifications-dev (>= 5.9.0),
-               libkf5parts-dev (>= 5.9.0),
-               libkf5service-dev (>= 5.9.0),
-               libkf5solid-dev (>= 5.9.0),
-               libkf5sonnet-dev (>= 5.9.0),
-               libkf5textwidgets-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
-               libkf5xmlgui-dev (>= 5.9.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libkf5parts-dev (>= 5.15.0~),
+               libkf5xmlgui-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kmediaplayer.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kmediaplayer.git
@@ -45,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev,
+         libkf5parts-dev (>= 5.15.0~),
          ${misc:Depends}
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

## kmediaplayer 5.18.0

=== debian/changelog ===
kmediaplayer (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:23:08 +0100

kmediaplayer (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:52 +0100

kmediaplayer (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:28 +0200

kmediaplayer (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:43 +0100

kmediaplayer (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:14 +0200

kmediaplayer (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 21:51:28 +0200

kmediaplayer (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5parts-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5parts-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kmediaplayer.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kmediaplayer.git
@@ -22,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.15.0~),
+         libkf5parts-dev (>= 5.16.0~),
          ${misc:Depends}
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5mediaplayer5-dbg

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/portingAids/kmediaplayer-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kmediaplayer-([\d.]+)\.tar\.xz

## kmediaplayer 5.26.0

=== debian/changelog ===
kmediaplayer (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:47:26 +0100

kmediaplayer (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:44:09 +0000

kmediaplayer (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:14:57 +0200

kmediaplayer (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:31:42 -0700

kmediaplayer (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:17 +0100

kmediaplayer (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5parts-dev (>= 5.18.0~),
-               libkf5xmlgui-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               libkf5parts-dev (>= 5.26.0~),
+               libkf5xmlgui-dev (>= 5.26.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kmediaplayer.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kmediaplayer.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
 
 Package: libkf5mediaplayer-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.16.0~),
+         libkf5parts-dev (>= 5.26.0~),
          ${misc:Depends}
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -67,22 +67,3 @@
  for those who wish to provide their own interface.
  .
  This package contains the data files.
-
-Package: libkf5mediaplayer5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5mediaplayer5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kmediaplayer
- It provides all of the necessary media player operations,
- and optionally provides the GUI to control them.
- .
- There are two servicetypes for Player:
- KMediaPlayer/Player and KMediaPlayer/Engine.
- KMediaPlayer/Player provides a widget (accessible
- through view as well as XML GUI KActions.
- KMediaPlayer/Engine omits the user interface facets,
- for those who wish to provide their own interface.
- .
- Contains debug symbols for kmediaplayer.

## kmediaplayer 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,14 +7,14 @@
 # CMake stuff from ECM
 #
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.28.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 
@@ -23,8 +23,8 @@
 include(ECMGenerateHeaders)
 include(ECMPackageConfigHelpers)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
+set(KF5_VERSION "5.28.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
 
 #
 # Version info
@@ -43,7 +43,7 @@
 #
 # Dependencies
 #
-set(REQUIRED_QT_VERSION 5.3.0)
+set(REQUIRED_QT_VERSION 5.5.0)
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kmediaplayer (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:07:49 +0100

kmediaplayer (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:10:17 +0200

kmediaplayer (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:03:42 +0200

kmediaplayer (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 24 Aug 2016 16:04:36 +0200

kmediaplayer (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 23:50:36 +0200

kmediaplayer (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:51:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
-               libkf5parts-dev (>= 5.26.0~),
-               libkf5xmlgui-dev (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
+               libkf5parts-dev (>= 5.28.0~),
+               libkf5xmlgui-dev (>= 5.28.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                xauth,
                xvfb
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kmediaplayer.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kmediaplayer.git
 
 Package: libkf5mediaplayer-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.26.0~),
+         libkf5parts-dev (>= 5.28.0~),
          ${misc:Depends}
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -31,6 +31,7 @@
  for those who wish to provide their own interface.
  .
  Contains development files for kmediaplayer.
+Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5mediaplayer5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mediaplayer5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

## kmediaplayer 5.31.0

=== debian/changelog ===
kmediaplayer (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:08 +0000

kmediaplayer (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:45 +0000

kmediaplayer (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:40 +0000

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               libkf5parts-dev (>= 5.28.0~),
-               libkf5xmlgui-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~),
+               qtbase5-dev (>= 5.6.1~),
                xauth,
                xvfb
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kmediaplayer.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kmediaplayer.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
 
 Package: libkf5mediaplayer-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.28.0~),
+         libkf5parts-dev (>= 5.31.0~),
          ${misc:Depends}
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -31,7 +31,6 @@
  for those who wish to provide their own interface.
  .
  Contains development files for kmediaplayer.
-Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5mediaplayer5
 Architecture: any

## kmediaplayer 5.38.0

=== debian/changelog ===
kmediaplayer (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:16 +0100

kmediaplayer (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:46:59 +0100

kmediaplayer (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:00 +0100

kmediaplayer (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:56:51 +0100

kmediaplayer (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:24:48 +0100

kmediaplayer (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:03:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5parts-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5parts-dev (>= 5.38.0~),
+               libkf5xmlgui-dev (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                xauth,
@@ -21,7 +21,7 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.31.0~),
+         libkf5parts-dev (>= 5.38.0~),
          ${misc:Depends}
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

## kmediaplayer 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KMediaPlayer)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+project(KMediaPlayer VERSION ${KF5_VERSION})
 
 
 #
 # CMake stuff from ECM
 #
 include(FeatureSummary)
-find_package(ECM 5.28.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,19 +19,16 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 
-set(KF5_VERSION "5.28.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
 
 #
 # Version info
 #
-ecm_setup_version(${KF5_VERSION}
+ecm_setup_version(PROJECT
    VARIABLE_PREFIX KMEDIAPLAYER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmediaplayer_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfigVersion.cmake"
@@ -43,7 +42,7 @@
 #
 # Dependencies
 #
-set(REQUIRED_QT_VERSION 5.5.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
@@ -66,7 +65,7 @@
 # Config.cmake stuff
 #
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MediaPlayer")
-ecm_configure_package_config_file(
+configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MediaPlayerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== debian/changelog ===
kmediaplayer (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:23 +0000

kmediaplayer (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:55 +0000

kmediaplayer (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:08 +0000

kmediaplayer (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:06:39 -0600

kmediaplayer (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:03 +0000

=== debian/control ===
Source: kmediaplayer
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer

Package: libkf5mediaplayer-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 This package contains the data files.

Package: libkf5mediaplayer-dev
Architecture: any
Section: libdevel
Depends: libkf5mediaplayer5 (= ${binary:Version}),
         libkf5parts-dev (>= 5.44.0~),
         ${misc:Depends}
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 Contains development files for kmediaplayer.

Package: libkf5mediaplayer5
Architecture: any
Multi-Arch: same
Depends: libkf5mediaplayer-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	$(overridden_command) --dbgsym-migration='libkf5mediaplayer5-dbg (<= 5.19.0-1~~)'
 
 override_dh_auto_test:
-	xvfb-run -a $(overridden_command)
+	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kmediaplayer-([\d.]+)\.tar\.xz

## kmediaplayer 5.50.0

=== debian/changelog ===
kmediaplayer (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:14:21 +0100

kmediaplayer (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:44 +0100

kmediaplayer (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:47 +0100

kmediaplayer (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:08 +0200

kmediaplayer (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:58 +0100

kmediaplayer (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:46 +0200

kmediaplayer (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:07 +0100

kmediaplayer (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:42:48 +0100

kmediaplayer (5.42.0-3) sid; urgency=medium

  * Fix FTBFS on architectures where Qt uses OpenGL ES

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 Feb 2018 08:58:23 +0100

kmediaplayer (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:18 +0100

kmediaplayer (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:15 +0100

kmediaplayer (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Add missing libkf5kio-dev build dependency
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:41:49 -0300

kmediaplayer (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:47:14 +0000

kmediaplayer (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:58:39 +0000

kmediaplayer (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:43:19 +0000

kmediaplayer (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:40 +0000

kmediaplayer (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:30 +0200

kmediaplayer (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:44:06 +0200

kmediaplayer (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:14:48 +0000

kmediaplayer (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:53 +0200

kmediaplayer (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:51 +0000

kmediaplayer (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:37:19 +0000

kmediaplayer (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:37:14 +0000

kmediaplayer (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:24:09 +0000

kmediaplayer (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:22:15 +0000

kmediaplayer (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:38:39 +0000

kmediaplayer (5.30.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
-               libkf5parts-dev (>= 5.44.0~),
-               libkf5xmlgui-dev (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5parts-dev (>= 5.50.0~),
+               libkf5xmlgui-dev (>= 5.50.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                xauth,
-               xvfb
-Standards-Version: 3.9.8
+               xvfb,
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
@@ -40,8 +41,8 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.44.0~),
-         ${misc:Depends}
+         libkf5parts-dev (>= 5.50.0~),
+         ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
  and optionally provides the GUI to control them.
